package cn.hnthyy.thmz.service.his.mz;

import cn.hnthyy.thmz.entity.MzException;
import cn.hnthyy.thmz.entity.his.mz.MzYjReq;

import java.util.List;
import java.util.Map;

public interface MzYjReqService {
    /**
     * 查询所有未缴费的医技申请单
     *
     * @param mzYjReq
     * @return
     */
    List<MzYjReq> queryNotPayMzYjReq(MzYjReq mzYjReq);

    /**
     * 查询近三天内没有缴费的医技处方
     * @param patientId
     * @return
     */
    List<Map<String, Object>> queryUnPaidYjReq(String patientId);

    /**
     * 修改医技申请记录
     * @param mzYjReq
     * @return
     */
    int modifyMzYjReq(MzYjReq mzYjReq) throws MzException;

    /**
     * 查询未退费的医技申请单
     * @param patientId
     * @param times
     * @param orderCodes
     * @return
     */
    List<MzYjReq> queryNotRefundYjReq(String patientId,Integer times,List<String> orderCodes);


    /**
     * 查询执行科室
     * @param mzYjReq
     * @return
     */
    List<String> queryExecDept(MzYjReq mzYjReq);


    /**
     * 根据医技申请单号查询申请
     * @param reqNo
     * @return
     */
    MzYjReq queryMzYjReqByReqNo(String reqNo);

}
